#ifndef QUESTION_H
#define QUESTION_H
#include <QString>
#include <QDialog>

class QDomElement;
class QTimer;

class Question : public QWidget {

    Q_OBJECT

    protected:
        QString text;
        QString answer;
        int durationQuestion, *userScore;

    public:
        Question(QWidget *parent=0);
        Question(const QString& duration,QWidget *parent=0);
        virtual ~Question();
        virtual bool loadFromNode(const QDomElement& element);
        virtual QString print() const;
        virtual bool aplicar(int &userScoreE);

public slots:
    virtual void check();
    virtual void remainingTimeAnswer();

/*signals:
    bool timerIsActive();*/


};

#endif // QUESTION_H
